petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDSGetComponents

Returns the number of components for each field on an evaluation point

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetComponents(PetscDS prob, PetscInt *components[])

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

components -The number of components

### See Also

PetscDSGetComponentOffsets(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages